### Function

# Gio Settings list_schemas

deprecated: 2.40 since: 2.26

#### Declaration [src]

    const gchar* const*
    g_settings_list_schemas (
      void
    )

#### Description [src]

Deprecated.

Available since: 2.26

Deprecated since: 2.40

Use `g_settings_schema_source_list_schemas()` instead. If you used `g_settings_list_schemas()` to check for the presence of a particular schema, use `g_settings_schema_source_lookup()` instead of your whole loop.

#### Return value

Type: An array of `utf8`

A list of `GSettings` schemas that are available, in no defined order. The list must not be modified or freed.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a NUL terminated UTF-8 string.